> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Room Information > Retrieves the information about the room. Users with the `view-room-administration` permission can also retrieve public and private rooms they are not a member of, except rooms managed by ABAC. Users without this permission who request a private room they are not a member of receive a `400` error with `not-allowed`. ### Changelog | Version | Description | | ------- | ----------- | |9.0.0 | Removed the `fields` parameter. Users with the `view-room-administration` permission can read public and private rooms they are not a member of, except rooms managed by ABAC. | |0.72.0 | Added | ## OpenAPI ````json GET /api/v1/rooms.info { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/rooms.info": { "get": { "tags": [ "Rooms" ], "summary": "Get Room Information", "description": "Retrieves the information about the room.\n\nUsers with the `view-room-administration` permission can also retrieve public and private rooms they are not a member of, except rooms managed by ABAC. Users without this permission who request a private room they are not a member of receive a `400` error with `not-allowed`.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n|9.0.0 | Removed the `fields` parameter. Users with the `view-room-administration` permission can read public and private rooms they are not a member of, except rooms managed by ABAC. |\n|0.72.0 | Added |", "operationId": "get-api-v1-rooms.info", "parameters": [ { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/Optional-RoomId" }, { "$ref": "#/components/parameters/Optional-RoomName" } ], "responses": { "200": { "description": "OK\n\nThe response includes the following objects:\n* `parent`: Represents the parent of a room. For discussions, this is the room where the discussion was created, identified by `prid`. For rooms inside a team, the parent will be the team's main room, identified by `team.roomId`. For other rooms, this property is undefined.\n* `team`: Represents the team a room is part of. For rooms inside a team, this is the team identified by the `teamId` property. For everything else, this is undefined.", "content": { "application/json": { "schema": { "type": "object", "properties": { "room": { "type": "object", "properties": { "_id": { "type": "string" }, "ts": { "type": "string" }, "t": { "type": "string" }, "name": { "type": "string" }, "usernames": { "type": "array", "items": { "type": "object", "properties": {} } }, "msgs": { "type": "integer" }, "usersCount": { "type": "integer" }, "_updatedAt": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "default": { "type": "boolean" }, "lastMessage": { "type": "object", "properties": { "_id": { "type": "string" }, "t": { "type": "string" }, "rid": { "type": "string" }, "ts": { "type": "string" }, "msg": { "type": "string" }, "alias": { "type": "string", "nullable": true }, "attachments": { "type": "array", "items": { "type": "object" } }, "file": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "type": { "type": "string" } } }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "groupable": { "type": "boolean" }, "drid": { "type": "string" }, "_updatedAt": { "type": "string" } } }, "lm": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "room": { "_id": "66ed2dba40141d95f32c292b", "fname": "new-channel", "_updatedAt": "2024-09-20T12:29:08.284Z", "customFields": {}, "topic": "", "broadcast": false, "encrypted": false, "name": "new-channel", "t": "p", "msgs": 3, "usersCount": 2, "u": { "_id": "C38WSSzrGd2NCjzqJ", "username": "test.cat", "name": "test.cat" }, "ts": "2024-09-20T08:09:30.417Z", "ro": false, "teamId": "66c82d78237405fc05fc1ef1", "default": false, "sysMes": true, "lastMessage": { "_id": "xZhJfE4rmaosjHZCe", "rid": "66ed2dba40141d95f32c292b", "msg": "testing", "alias": null, "ts": "2024-09-20T12:27:53.356Z", "u": { "_id": "C38WSSzrGd2NCjzqJ", "username": "test.cat", "name": "test.cat" }, "_updatedAt": "2024-09-20T12:27:53.397Z", "urls": [], "mentions": [], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "PLAIN_TEXT", "value": "testing" } ] } ] }, "lm": "2024-09-20T12:27:53.356Z" }, "team": { "_id": "66c82d78237405fc05fc1ef1", "name": "test-team", "type": 0, "roomId": "66c82d78237405fc05fc1eef" }, "parent": { "_id": "66c82d78237405fc05fc1eef", "fname": "test-team", "name": "test-team", "t": "c" }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "The parameter \"roomId\" or \"roomName\" is required [error-roomid-param-not-provided]", "errorType": "error-roomid-param-not-provided" } }, "Room not found": { "value": { "success": false, "error": "The required \"roomId\" or \"roomName\" param provided does not match any channel [error-room-not-found]", "errorType": "error-room-not-found" } }, "ABAC room the caller cannot access": { "value": { "success": false, "error": "not-allowed", "errorType": "Not Allowed" } }, "Private room the caller is not a member of": { "value": { "success": false, "error": "not-allowed", "errorType": "Not Allowed" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "Optional-RoomId": { "name": "roomId", "in": "query", "description": "The room ID. It is required if the `roomName` is not provided.", "schema": { "type": "string" }, "example": "dlpfuijw7ej" }, "Optional-RoomName": { "name": "roomName", "in": "query", "description": "The room name. It is required if the `roomId` is not provided.", "required": false, "schema": { "type": "string" }, "example": "general" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````